## org.mariadb.jdbc.internal.logging
Interface Logger

All Known Implementing Classes:
  NoLogger, Slf4JLogger

    public interface Logger

Method Summary
`void` `debug(String msg)`
`void` `debug(String format, Object... arguments)`
`void` `debug(String format, Object arg)`
`void` `debug(String format, Object arg1, Object arg2)`
`void` `debug(String msg, Throwable throwable)`
`void` `error(String msg)`
`void` `error(String format, Object... arguments)`
`void` `error(String format, Object arg)`
`void` `error(String format, Object arg1, Object arg2)`
`void` `error(String msg, Throwable throwable)`
`void` `info(String msg)`
`void` `info(String format, Object... arguments)`
`void` `info(String format, Object arg)`
`void` `info(String format, Object arg1, Object arg2)`
`void` `info(String msg, Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(String msg)`
`void` `trace(String format, Object... arguments)`
`void` `trace(String format, Object arg)`
`void` `trace(String format, Object arg1, Object arg2)`
`void` `trace(String msg, Throwable throwable)`
`void` `warn(String msg)`
`void` `warn(String format, Object... arguments)`
`void` `warn(String format, Object arg)`
`void` `warn(String format, Object arg1, Object arg2)`
`void` `warn(String msg, Throwable throwable)`

Method Detail

### isTraceEnabled

    boolean isTraceEnabled()

### trace

    void trace(String msg)

### trace

    void trace(String format,
               Object arg)

### trace

    void trace(String format,
               Object arg1,
               Object arg2)

### trace

    void trace(String format,
               Object... arguments)

### trace

    void trace(String msg,
               Throwable throwable)

### isDebugEnabled

    boolean isDebugEnabled()

### debug

    void debug(String msg)

### debug

    void debug(String format,
               Object arg)

### debug

    void debug(String format,
               Object arg1,
               Object arg2)

### debug

    void debug(String format,
               Object... arguments)

### debug

    void debug(String msg,
               Throwable throwable)

### isInfoEnabled

    boolean isInfoEnabled()

### info

    void info(String msg)

### info

    void info(String format,
              Object arg)

### info

    void info(String format,
              Object arg1,
              Object arg2)

### info

    void info(String format,
              Object... arguments)

### info

    void info(String msg,
              Throwable throwable)

### isWarnEnabled

    boolean isWarnEnabled()

### warn

    void warn(String msg)

### warn

    void warn(String format,
              Object arg)

### warn

    void warn(String format,
              Object... arguments)

### warn

    void warn(String format,
              Object arg1,
              Object arg2)

### warn

    void warn(String msg,
              Throwable throwable)

### isErrorEnabled

    boolean isErrorEnabled()

### error

    void error(String msg)

### error

    void error(String format,
               Object arg)

### error

    void error(String format,
               Object arg1,
               Object arg2)

### error

    void error(String format,
               Object... arguments)

### error

    void error(String msg,
               Throwable throwable)

Copyright © 2017. All rights reserved.